# Add a historical message to a conversation (deprecated)

Endpoint: POST /v1/conversations/{csid}/messages/historical
Version: 1.0.0
Security: ApiKeyAuth, BearerAuth

## Path parameters:

  - `csid` (integer, required)

## Request fields (application/json):

  - `channel` (string)
    The channel a conversation can be conducted on.
    Enum: "widget_chat", "phone", "voice_mail", "email", "contact_form", "callback", "facebook_messenger"

  - `direction` (string)
    The direction a conversation can be
    Enum: "outbound", "inbound", "internal"

  - `from_email` (string)
    A regular email.

  - `text` (string)

  - `author_id` (string)

  - `attachments` (array)
    A list of attachments.

  - `attachments.url` (string, required)
    A valid attachment url

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)

  - `data.created_at` (string, required)
    Example: 2015-11-30T00:00:00:000Z

  - `data.channel` (string, required)
    The channel a conversation can be conducted on.
    Enum: "widget_chat", "phone", "voice_mail", "email", "contact_form", "callback", "facebook_messenger"

  - `data.direction` (string)
    The channel a conversation can be conducted on.
    Enum: "widget_chat", "phone", "voice_mail", "email", "contact_form", "callback", "facebook_messenger"

  - `data.attributes` (object)

  - `data.attributes.text` (string)

  - `data.attributes.to_emails` (string)

  - `data.attributes.cc_email` (string)

  - `data.attributes.from_email` (string)

  - `data.attributes.inline_images` (string)

  - `data.attributes.attachments` (string)

  - `data.attributes.direction` (string)

  - `data.attributes.a_phone_number` (string)

  - `data.attributes.b_phone_number` (string)

  - `data.attributes.is_automated_message` (string)

  - `data.attributes.is_auto_reply` (string)

